org.apache.maven.shared.io.location

## Class ClasspathResourceLocatorStrategy

- java.lang.Object
- - org.apache.maven.shared.io.location.ClasspathResourceLocatorStrategy

All Implemented Interfaces:
  LocatorStrategy

    public class ClasspathResourceLocatorStrategy
    extends Object
    implements LocatorStrategy

classpath resource locator strategy.

### Constructor Summary

Constructors
Constructor and Description
`ClasspathResourceLocatorStrategy()` Create instance.
`ClasspathResourceLocatorStrategy(String tempFilePrefix, String tempFileSuffix, boolean tempFileDeleteOnExit)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Location` `resolve(String locationSpecification, MessageHolder messageHolder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClasspathResourceLocatorStrategy

    public ClasspathResourceLocatorStrategy()

Create instance.

#### ClasspathResourceLocatorStrategy

    public ClasspathResourceLocatorStrategy(String tempFilePrefix,
                                            String tempFileSuffix,
                                            boolean tempFileDeleteOnExit)

Parameters:
  `tempFilePrefix` - Prefix.
  `tempFileSuffix` - Suffix.
  `tempFileDeleteOnExit` - delete on exit.

### Method Detail

#### resolve

    public Location resolve(String locationSpecification,
                            MessageHolder messageHolder)

Specified by:
  `resolve` in interface `LocatorStrategy`
Parameters:
  `locationSpecification` - the specification.
  `messageHolder` - `MessageHolder`
Returns:
  `Location`